﻿@{
    ViewBag.Title = "AuthorizeCallback";
}
@Scripts.Render("~/bundles/jquery")



@if (TempData["Search"] != null)
{
    var i = 1;
    <h2>search Result- <span style="color:green">@TempData["SearchKey"]</span></h2>
    <div class="col-sm-8">
        @foreach (var item in (List<TweetSharp.TwitterStatus>)TempData["Search"])
        {
            <div class="aa @i"></div>
            <div class='alert-danger' style='margin:auto;border:2px solid gray;border-radius:5px;'><b>@(i++)- </b>@item.User.ScreenName -  @item.Text </div><br>
        }

    </div>

    <script>
    </script>
}
else if (ViewData["Tweets"] != null)
{
    <h2>AuthorizeCallback</h2>

    var i = 1;

    <div class="col-sm-8">
        @foreach (var item in (List<TweetSharp.TwitterStatus>)ViewData["Tweets"])
        {
            <div class="aa @i"></div>
            <div class='alert-danger' style='margin:auto;border:2px solid gray;border-radius:5px;'><b>@(i++)- </b>@item.User.ScreenName -  @item.Text </div><br>
        }

    </div>

    <script>
    </script>
}

<div class="col-sm-4">
    @using (Html.BeginForm("AuthorizeCallback","Home"))
    {
        <textarea maxlength="100" id="txtTweet" name="txtTweet" required></textarea>
        <button class="btn btn-info btn-lg">Tweet</button>
    }
    <br /><br />
        @using (Html.BeginForm("Search", "Home"))
    {
        <input type="text" id="search" name="search" required></input>
        <button class="btn btn-info btn-lg">search</button>
    }

</div>
<script>
</script>
<br /><br />

